"""
Autogenerated module using `pop-create-idem <https://gitlab.com/saltstack/pop/pop-create-idem>`__
"""


async def credentials(hub, ctx, org: str, sddc_id: str, addon_type: str, name: str) -> None:
    """
    **Autogenerated function**
    
    Update credential details

    Args:
        org(str): Org id of the associated SDDC.
        sddc_id(str): Id of the SDDC.
        addon_type(str): Add on type.
        name(str): name of the credentials.

    Returns:
        None

    Examples:
        Call from code:

        .. code-block:: python

            await hub.exec.vmc.credentials.sddc.addons.hcx.credentials(ctx, org=value, sddc_id=value, addon_type=value, name=value)

        Call from CLI:

        .. code-block:: bash

            idem exec vmc.credentials.sddc.addons.hcx.credentials org=value, sddc_id=value, addon_type=value, name=value
    """

    return await hub.tool.http.session.request(
        ctx,
        method="put",
        path=ctx.acct.endpoint_url + "/orgs/{org}/sddcs/{sddcId}/addons/{addonType}/credentials/{name}".format(**{"org": org, "sddcId": sddc_id, "addonType": addon_type, "name": name}),
        query_params={},
        data={}
    )

